### org.jfree.layouting.renderer

# Class FlowContext.FlowContextState

- `java.lang.Object`
- - `org.jfree.layouting.renderer.FlowContext.FlowContextState`

Enclosing Class:
  FlowContext

Implemented Interfaces:
  Serializable

`public static class FlowContext.FlowContextState`
`extends java.lang.Object`
`implements Serializable`

  ## Constructor Summary

  `FlowContextState(State textFactoryState, Object currentFlowId)`

  ## Method Summary

  `Object`

  `getCurrentFlowId()`

  `State`

  `getTextFactoryState()`

## Constructor Details

### FlowContextState

    public FlowContextState(State textFactoryState,
                            Object currentFlowId)

## Method Details

### getCurrentFlowId

    public Object getCurrentFlowId()

### getTextFactoryState

    public State getTextFactoryState()